Loading...
 

Simutrans Repository Debian based

Independent Simutrans Repository for Debian based Linuxlink


Since Simutrans is a third party software, it will not be updated after the release of a Linux distribution. This means that obsolete versions of Simutrans are often included in the distribution's proprietary software package sources. This mainly affects LTS versions of distributions and Linux distributions based on them. Another point is that in the package sources a maximum of 3 graphic sets are included. These are pak64, pak128 and pak128.Britain.

For this reason, an independent package source has been set up for Simutrans. Since this is intended for a variety of Linux derivatives, not all rules of all Linux derivatives are considered. Therefore, the installation path deviates from the usual requirements.

In addition to Simutrans, Simutrans-Extended is also included in the package source. Simutrans-Extended is an enhanced version of Simutrans.
There are currently no release versions of Simutrans-Extended. Therefore, the update is only sporati- cally at longer intervals.

Furthermore, the server variant (posix) of Simutrans / Simutrans-Extended is included. This has no user interface and therefore requires fewer resources.

Overview of the components contained in the package sourcelink

Simutrans

Installation directory: /usr/local/bin/simutrans
package name content
simutrans-uni Program file with interface
simutrans-uni-data Basic data files
simutrans-uni-posix Program file server without interface

simutrans-uni-pak128 graphic set pak128
simutrans-uni-pak128.britain graphic set pak128.Britain
simutrans-uni-pak128.cz graphic set pak128.Česko-Slovensko
simutrans-uni-pak128.german graphic set pak128.German
simutrans-uni-pak128.japan graphic set pak128.Japan
simutrans-uni-pak64 graphic set pak64
simutrans-uni-pak64-food Extension for pak64
simutrans-uni-pak64.german graphic set pak64.german
simutrans-uni-pak64.german-addon Extension for pak64.german
simutrans-uni-pak64.german-factory Extension for pak64.german
simutrans-uni-pak64.japan graphic set pak64.japan
simutrans-uni-pak96.comic graphic set pak96.comic

pak192.comic will not be included in the package sources due to the license used.
Simutrans-Extended

Installation directory: /usr/local/bin/simutrans-extended
package name content
simutrans-extended Program file with interface
simutrans-extended-data Basic data files
simutrans-extended-posix Program file server without interface

simutrans-extended-pak128.britain graphic set pak128.Britain
simutrans-extended-pak128.cs graphic set pak128.Česko-Slovensko
simutrans-extended-pak128.sweden graphic set pak128.Sweden
simutrans-extended-pak256 graphic set pak256

Add a package sourcelink


The following explains how to add the package source. Synaptic was used under Ubuntu 18.04. Depending on the Linux derivative and desktop interface, the graphical representation and labels may differ.

After launching Synaptic, in the menu Settings, select the entry Repositories.

Picture of Synaptic
Synaptic - Call up repositories


In the window that opens, select the tab Other Software and at the bottom click Add....

Picture of Synaptic
Synaptic - further sources of packages

new inputlink


It opens another window. Copy the following line to the input line. Then click on Add Source.

deb https://simutrans-germany.com/simutrans/linux-package/deb/debian lenny contrib #Simutrans Universalrepo

Picture of Synaptic
Synaptic - Input package source


If the addition was successful, the following entry should have been added.
Simutrans Universalrepo lenny

If necessary an entry for the source texts was also created. This should be disabled because it does not exist.
Simutrans Universalrepo lenny (Source Code)

Picture of Synaptic
Synaptic - Added a package source

old inputlink


For the old entry, the fields are to be entered as follows.

address:
https://simutrans-germany.com/simutrans/linux-package/deb/debian/
distribution:
lenny
Section(s):
contrib

Picture of Synaptic (Linux Pardus)
Synaptic - Input package source (Linux Pardus)

import public keylink


Before the public key can be imported, it must be stored locally. It is important to click on the following link with the right mouse button and select from the menu Save Link As... or the like. Only then will the key file be saved unchanged.

https://simutrans-germany.com/simutrans/linux-package/deb/PublicKeylink-external

Key import graphiclink


If the public key is stored locally, click on the Authentication tab at the top.
Then click on Import Key File... and select and confirm the saved keyfile.

Picture of Synaptic
Synaptic - import the public key of the package source


If the key was imported correctly, a corresponding entry should be displayed.

Picture of Synaptic
Synaptic - Key imported


Now click on Close and confirm the following message to update the package sources.

Key import consolelink


concerns Linuxe: Deepin 15.9.1, Pardus 17.5

If there is no import for the repo key in the graphical user interface, this must be done on the command line.

To do this, navigate through a file manager into the folder where the key file was saved.
Then right-click to open the menu and select Terminal open here.

Open the console (Linux Pardus)
Open the console (Linux Pardus)


Enter the following line in the opening terminal window and confirm with Enter.

sudo apt-key add PublicKey


The password is requested and then the key is imported.

If sudo does not work, a terminal window with root privileges is needed to import the key.

after successful setuplink


If the setup was successful then the packages should be listed under the category Games and Amusement. Alternatively, the search can be used.

Picture of Synaptic
Synaptic - Package source active


As long as the package source is active, new versions of Simutrans / Simutrans-Extended and the graphic sets are automatically imported.

different labelslink

Linux / Desktop labeling labeling
Ubuntu 18.04 Other Software Authentication
Linux Mint 19.1 Additional package sources Legitimization key

tested linuxlink


the package directory was successfully tested on the following Linux

Linux versions
Ubuntu 16.04 LTS 18.04 LTS
Xubuntu 14.04 LTS
Linux Mint 19.1
Deepin 15.9.1
Pardus 17.5 LTS


the package directory does not work on the following Linux

Linux versions

Rate this page:
Contributors to this page: Frank .
Page last modified on Sunday June 16, 2019 11:16:55 GMT-0000 by Frank.

Page discussion

There are no discussions currently on this page Start discussion